#
# spec file for package resource-agents
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{?fedora} || 0%{?centos_version} || 0%{?rhel}
%global agents_docdir %{_defaultdocdir}/%{name}-%{version}
%endif
%if 0%{?suse_version}
%global agents_docdir %{_defaultdocdir}/%{name}
%endif
#
# Since this spec file supports multiple distributions, ensure we
# use the correct group for each.
#
%if 0%{?fedora} || 0%{?centos_version} || 0%{?rhel}
%define pkg_group System Environment/Daemons
%else
%define pkg_group Productivity/Clustering/HA
%endif
%define SSLeay		        perl-Net-SSLeay
%if 0%{?suse_version} < 1100
%define SSLeay			perl-Net_SSLeay
%endif

%if ! %{defined _rundir}
%define _rundir %{_localstatedir}/run
%endif

%define with_monitoring 1

Name:           resource-agents
Summary:        Open Source HA Reusable Cluster Resource Scripts
License:        GPL-2.0 and LGPL-2.1+ and GPL-3.0+
Group:          Productivity/Clustering/HA
Version:        3.9.7+git.1461938976.cb7c36a
Release:        4.1
Url:            http://linux-ha.org/
Source:         resource-agents-%{version}.tar.xz
Source1:        resource-agents.conf
Source2:        monitoring-plugins-metadata.tar.bz2
# PATCH-FIX-OPENSUSE: activate VG with partial PV by default
Patch2:         lvm-vg-partial-active.diff
# PATCH-FIX-OPENSUSE: fix path to sm-notify
Patch3:         resource-agents-nfsserver-sle11.patch
# PATCH-FIX-OPENSUSE: ldirectord: don't create subsys lock
Patch4:         no-var-lock-subsys.patch
# PATCH-FIX-OPENSUSE: Revert moving binaries to /usr/libexec
Patch8:         0006-Revert-Low-build-Move-binaries-in-usr-lib-heartbeat-.patch
# PATCH-FIX-OPENSUSE: Medium: ldirectord: Remove IPv6 workaround (bsc#977193)
Patch9:         0001-Medium-ldirectord-Remove-IPv6-workaround-bsc-977193.patch
# PATCH-FIX-OPENSUSE: Medium: CTDB: Use --logging syntax for ctdbd (bsc#981863)
Patch10:        0001-Medium-CTDB-Use-logging-syntax-for-ctdbd-bsc-981863.patch
# PATCH-FIX-UPSTREAM: exportfs: Add pseudo resource factor (bsc#978680)
Patch11:        0001-exportfs-Add-pseudo-resource-factor-bsc-978680.patch
# PATCH-FIX-UPSTREAM: Low: ocf-shellfuncs: update HA_RSCTMP documentation
Patch12:        0002-Low-ocf-shellfuncs-update-HA_RSCTMP-documentation.patch
# PATCH-FIX-UPSTREAM: exportfs: Add IPv6 support
Patch13:        0003-exportfs-Add-IPv6-support.patch
# PATCH-FIX-UPSTREAM: oracle: fix MONPROFILE to use monprofile parameter when set
Patch14:        0004-oracle-fix-MONPROFILE-to-use-monprofile-parameter-wh.patch
# PATCH-FIX-UPSTREAM: oracle: fix issue with C## in monprofile (bsc#1005424)
Patch15:        0005-oracle-fix-issue-with-C-in-monprofile.patch
# PATCH-FIX-UPSTREAM: oracle: add quotes for monuser and monpassword
Patch16:        0006-oracle-add-quotes-for-monuser-and-monpassword-and-in.patch
# PATCH-FIX-UPSTREAM: High: nfsserver: Delete the temp file correctly.
Patch17:        0007-High-nfsserver-Delete-the-temp-file-correctly.patch
# PATCH-FIX-UPSTREAM: adjusting sapdb.sh to work with HANA Multi-Tenant Databases (bsc#1007142)
Patch18:        0008-adjusting-sapdb.sh-to-work-with-HANA-Multi-Tenant-Da.patch
# PATCH-FIX-UPSTREAM: Medium: docker: Use docker exec for monitor_cmd if supported (bsc#1007867)
Patch19:        0009-Medium-docker-Use-docker-exec-for-monitor_cmd-if-sup.patch
# PATCH-FIX-UPSTREAM: Fix missing ocf_script definitions
Patch20:        0010-Fix-missing-ocf_script-definitions.patch
# PATCH-FIX-UPSTREAM: Medium: docker: Reduce monitor log spam
Patch21:        0011-Medium-docker-Reduce-monitor-log-spam.patch
# PATCH-FIX-UPSTREAM: Doc: docker: Clarify limitations of monitor_cmd in parameter description
Patch22:        0012-Doc-docker-Clarify-limitations-of-monitor_cmd-in-par.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Obsoletes:      heartbeat-resources
Provides:       heartbeat-resources
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  glib2-devel
BuildRequires:  pkgconfig
BuildRequires:  python-devel
%if 0%{?suse_version}
BuildRequires:  libglue-devel
%if %suse_version > 1130
BuildRequires:  libnet-devel
%else
BuildRequires:  libnet
%endif
BuildRequires:  docbook-xsl-stylesheets
BuildRequires:  docbook_4
BuildRequires:  libxslt
%endif
%if 0%{?fedora} || 0%{?centos_version} || 0%{?rhel}
BuildRequires:  cluster-glue-libs-devel
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl
BuildRequires:  libxslt
BuildRequires:  which
%endif

%description
A set of scripts to interface with several services to operate in a
High Availability environment for both Pacemaker and rgmanager
service managers.

%package -n ldirectord
Summary:        A Monitoring Daemon for Maintaining High Availability Resources
License:        GPL-2.0 and LGPL-2.1+
Group:          Productivity/Clustering/HA
Requires:       %{SSLeay}
Requires:       %{name}
Requires:       ipvsadm
Requires:       perl-libwww-perl
Obsoletes:      heartbeat-ldirectord
Provides:       heartbeat-ldirectord
Requires:       perl-IO-Socket-INET6
Requires:       perl-MailTools
Requires:       perl-Socket6
%if 0%{?suse_version}
Requires:       logrotate
%endif
%if 0%{?fedora_version}
Requires(post): /sbin/chkconfig
Requires(preun):/sbin/chkconfig
%endif
%if %{defined systemd_requires}
BuildRequires:  systemd
%{?systemd_requires}
%endif

%description -n ldirectord
The Linux Director Daemon (ldirectord) was written by Jacob Rief.
<jacob.rief@tiscover.com>

ldirectord is a stand alone daemon for monitoring the services on real
servers. Currently, HTTP, HTTPS, and FTP services are supported.
ldirectord is simple to install and works with the heartbeat code
(http://www.linux-ha.org/).

See 'ldirectord -h' and linux-ha/doc/ldirectord for more information.

%if %{with_monitoring}

%package -n monitoring-plugins-metadata
Summary:        Metadata for Monitoring plugins
License:        LGPL-2.1+ and GPL-2.0+
Group:          Productivity/Clustering/HA
Provides:       nagios-plugins-metadata
Requires:       monitoring-plugins-fping
Requires:       monitoring-plugins-http
Requires:       monitoring-plugins-ldap
Requires:       monitoring-plugins-mysql
Requires:       monitoring-plugins-pgsql
Requires:       monitoring-plugins-tcp
Requires:       resource-agents
#BuildArch:      noarch

%description -n monitoring-plugins-metadata
XML files containing metadata which facilitates using nagios
plugins as resource agents. These files were produced from help
pages of individual nagios plugins.

%endif

%prep
%setup -q
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1

%build
CFLAGS="${CFLAGS} ${RPM_OPT_FLAGS}"
export CFLAGS
%if %{defined _unitdir}
CONF_OPTS="--with-ras-set=linux-ha \
    --enable-fatal-warnings=yes \
    --with-systemdsystemunitdir=%{_unitdir} \
    --with-pkg-name=%{name} \
    --with-rsctmpdir=%{_rundir}/%{name}"
%else
CONF_OPTS="--with-ras-set=linux-ha \
    --enable-fatal-warnings=yes \
    --with-pkg-name=%{name}"
%endif
./autogen.sh
#because quilt push changed the permissions of  sg_persist.
chmod 775 heartbeat/sg_persist
%if 0%{?suse_version} >= 1020 || 0%{?fedora} >= 11 || 0%{?centos_version} > 5 || 0%{?rhel} > 5
%configure $CONF_OPTS \
    --docdir=%{agents_docdir}
%else
export docdir=%{agents_docdir}
%configure $CONF_OPTS
%endif
export MAKE="make %{?jobs:-j%jobs}"
make %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install
(
  mkdir -p $RPM_BUILD_ROOT/etc/ha.d/resource.d
  ln -s %{_sbindir}/ldirectord $RPM_BUILD_ROOT/etc/ha.d/resource.d/ldirectord
) || true
test -d $RPM_BUILD_ROOT/sbin || mkdir $RPM_BUILD_ROOT/sbin
(
  cd $RPM_BUILD_ROOT/sbin
%if %{defined _unitdir}
  ln -s /usr/sbin/service rcldirectord
%else
  ln -sf /etc/init.d/ldirectord rcldirectord
%endif
) || true
# Dont package static libs or compiled python
find $RPM_BUILD_ROOT -name '*.a' -type f -print0 | xargs -0 rm -f
find $RPM_BUILD_ROOT -name '*.la' -type f -print0 | xargs -0 rm -f
find $RPM_BUILD_ROOT -name '*.pyc' -type f -print0 | xargs -0 rm -f
find $RPM_BUILD_ROOT -name '*.pyo' -type f -print0 | xargs -0 rm -f
# Unset execute permissions from things that shouln't have it
find $RPM_BUILD_ROOT -name 'ocf-*'  -type f -print0 | xargs -0 chmod a-x
find $RPM_BUILD_ROOT -name '*.dtd'  -type f -print0 | xargs -0 chmod a-x
chmod 0755 $RPM_BUILD_ROOT/usr/sbin/ocf-tester
chmod 0755 $RPM_BUILD_ROOT/usr/sbin/ocft
mkdir -p $RPM_BUILD_ROOT/usr/lib/tmpfiles.d
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d
(
cd $RPM_BUILD_ROOT/%{_libdir}/heartbeat
for f in ocf-returncodes ocf-shellfuncs
do
    ln -s /usr/lib/ocf/lib/heartbeat/$f
done
)

%if %{with_monitoring}
# install nagios plugins XML metadata
tar -xjf %{SOURCE2}
mkdir -p %{buildroot}%{_datadir}/nagios/plugins-metadata
for file in $(find plugins-metadata -type f); do
	install -m 644 $file %{buildroot}%{_datadir}/nagios/plugins-metadata
done
%endif

%post
if [ -x /usr/bin/systemd-tmpfiles ]; then
	systemd-tmpfiles --create resource-agents.conf || :
fi
test -d %{_rundir}/resource-agents || mkdir -m 1755 %{_rundir}/resource-agents

%if 0%{?suse_version}

%preun -n ldirectord
%if %{defined _unitdir}
%service_del_preun ldirectord.service
%else
%stop_on_removal ldirectord
%endif

%postun -n ldirectord
%if %{defined _unitdir}
%service_del_postun ldirectord.service
%else
%insserv_cleanup
%endif

%post -n ldirectord
%if %{defined _unitdir}
%service_add_post ldirectord.service
%endif

%pre -n ldirectord
%if %{defined _unitdir}
%service_add_pre ldirectord.service
%endif

%endif

%if 0%{?fedora}

%preun -n ldirectord
/sbin/chkconfig --del ldirectord

%postun -n ldirectord -p /sbin/ldconfig

%post -n ldirectord
/sbin/chkconfig --add ldirectord

%endif

%files
%defattr(-,root,root)
%dir /usr/lib/ocf
%dir /usr/lib/ocf/resource.d
%dir /usr/lib/ocf/lib
%dir /usr/lib/tmpfiles.d
/usr/lib/tmpfiles.d/resource-agents.conf
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/ocft
%dir %{_datadir}/%{name}/ocft/configs
%config(noreplace) %{_datadir}/%{name}/ocft/configs/*
%{_datadir}/%{name}/ocft/caselib
%{_datadir}/%{name}/ocft/README
%{_datadir}/%{name}/ocft/README.zh_CN
%{_datadir}/%{name}/ocft/helpers.sh
%{_datadir}/%{name}/ocft/runocft
%{_datadir}/%{name}/ocft/runocft.prereq
/usr/lib/ocf/resource.d/heartbeat
/usr/lib/ocf/lib/heartbeat
%{_sbindir}/ocf-tester
%{_sbindir}/ocft
%{_sbindir}/sfex_init
%{_sbindir}/sfex_stat
%{_includedir}/heartbeat
%ghost %dir %attr (1755, root, root)  %{_rundir}/resource-agents
%doc AUTHORS
%doc COPYING
%doc COPYING.LGPL
%doc COPYING.GPLv3
%doc %{_datadir}/%{name}/ra-api-1.dtd
%doc %{_mandir}/man7/*.7*
%doc %{_mandir}/man8/ocf-tester.8*
%doc %{_mandir}/man8/sfex_init.8*
%doc doc/README.webapps
# For compatability with pre-existing agents
%dir /etc/ha.d
/etc/ha.d/shellfuncs
%dir %{_libdir}/heartbeat
%{_libdir}/heartbeat/ocf-shellfuncs
%{_libdir}/heartbeat/ocf-returncodes
%{_libdir}/heartbeat/send_arp
%{_libdir}/heartbeat/send_ua
%{_libdir}/heartbeat/sfex_daemon
%{_libdir}/heartbeat/findif
%{_libdir}/heartbeat/tickle_tcp

%files -n ldirectord
%defattr(-,root,root)
%doc ldirectord/ldirectord.cf
%doc %{_mandir}/man8/ldirectord.8*
%dir /etc/ha.d/resource.d
#%doc %{_mandir}/man8/supervise-ldirectord-config.8*
%{_sbindir}/ldirectord
/sbin/rcldirectord
%if %{defined _unitdir}
%{_unitdir}/ldirectord.service
%exclude %{_sysconfdir}/init.d/ldirectord
%else
%{_sysconfdir}/init.d/ldirectord
%endif
#%{_sbindir}/supervise-ldirectord-config
%{_sysconfdir}/ha.d/resource.d/ldirectord
%config(noreplace) %{_sysconfdir}/logrotate.d/ldirectord

%if %{with_monitoring}
%files -n monitoring-plugins-metadata
%defattr(-,root,root)
%dir %{_datadir}/nagios
%dir %{_datadir}/nagios/plugins-metadata
%attr(0644,root,root) %{_datadir}/nagios/plugins-metadata/*
%endif

%changelog
* Wed Nov  2 2016 kgronlund@suse.com
- Medium: docker: Use docker exec for monitor_cmd if supported (bsc#1007867)
- adjusting sapdb.sh to work with HANA Multi-Tenant Databases (bsc#1007142)
- oracle: fix issue with C## in monprofile (bsc#1005424)
- High: nfsserver: Delete the temp file correctly.
- Doc: docker: Clarify limitations of monitor_cmd in parameter description
- Medium: docker: Reduce monitor log spam
- Fix missing ocf_script definitions
- exportfs: Add IPv6 support
- Low: ocf-shellfuncs: update HA_RSCTMP documentation
- Add 0002-Low-ocf-shellfuncs-update-HA_RSCTMP-documentation.patch
- Add 0003-exportfs-Add-IPv6-support.patch
- Add 0004-oracle-fix-MONPROFILE-to-use-monprofile-parameter-wh.patch
- Add 0005-oracle-fix-issue-with-C-in-monprofile.patch
- Add 0006-oracle-add-quotes-for-monuser-and-monpassword-and-in.patch
- Add 0007-High-nfsserver-Delete-the-temp-file-correctly.patch
- Add 0008-adjusting-sapdb.sh-to-work-with-HANA-Multi-Tenant-Da.patch
- Add 0009-Medium-docker-Use-docker-exec-for-monitor_cmd-if-sup.patch
- Add 0010-Fix-missing-ocf_script-definitions.patch
- Add 0011-Medium-docker-Reduce-monitor-log-spam.patch
- Add 0012-Doc-docker-Clarify-limitations-of-monitor_cmd-in-par.patch
* Tue Jun 28 2016 kgronlund@suse.com
- exportfs: Add pseudo resource factor (bsc#978680)
- Add 0001-exportfs-Add-pseudo-resource-factor-bsc-978680.patch
* Mon May 30 2016 kgronlund@suse.com
- Medium: ldirectord: Remove IPv6 workaround (bsc#977193)
- Medium: CTDB: Use --logging syntax for ctdbd (bsc#981863)
- Add 0001-Medium-ldirectord-Remove-IPv6-workaround-bsc-977193.patch
- Add 0001-Medium-CTDB-Use-logging-syntax-for-ctdbd-bsc-981863.patch
* Tue May  3 2016 kgronlund@suse.com
- Update to version 3.9.7+git.1461938976.cb7c36a:
  + High: managing "Elastic IP" for EC2 instances
  + High: managing "Secondary Private IP" for EC2 instances
  + Low: VirtualDomain: fix unnecessary error when probing nonexistent domain
  + Low: mysql: Handle non-standard mysql server port
  + Low: Fix protential error for RA:nagios
  + Medium: iSCSILogicalUnit: Fix when using rbd store.
  + Low: iSCSILogicalUnit: Add tgt_bsopts parameter.
  + Low: Don't send Inaccessible real server e-mails in fork=yes mode
* Tue Apr 26 2016 kgronlund@suse.com
- Update to version 3.9.7+git.1461679689.18a78f5:
  + Medium: symlink: Handle missing directories in target (bsc#973054)
  + oracle: "shutdown immediate;" is needed after cleanup to be able to recover from the ORA-01081 error
  + oracle: inform user that monprofile must start with C## for container databases
  + tickle_tcp: Fix "Failed to open raw socket (Invalid argument)" issue
* Mon Mar 21 2016 kgronlund@suse.com
- Update to version 3.9.7+git.1458512170.48350a9:
  + High: SAPDatabase: Add support for Oracle 12c (bsc#967380)
  + High: sapdb.sh evaluate parameter DBOSUSER also in start and stop methods (bsc#971914)
  + Low: SAPInstance: Update version support statement (bsc#965872)
  + Low: apache: ensure readable $TESTCONFFILE
  + Added iSER enabled portal support
  + quote vgchange options
  + Added pgagent RA
  + galera: fix monitoring of joining node for long running SST
  + galera: don't bootstrap from a node with no grastate.dat when possible
  + oralsnr: fix status check fail when username is more than 8 characters long
* Fri Feb 19 2016 kgronlund@suse.com
- Update to version 3.9.7+git.1454950092.6f56933:
  + Nagios Resource Agent
  + High: mysql: fix grep failure on MySQL5.6 or higher when checking read_only variable
  + Medium: nfsserver: do redhat specific stuff on redhat (bsc#956739)
  + Medium: iscsi: replace error log messages with calls to ocf_exit_reason
  + Medium: oracle/oralsnr: replace error log messages with calls to ocf_exit_reason
  + Medium: pingd: replace error log messages with calls to ocf_exit_reason
  + Medium: Raid1: replace error log messages with calls to ocf_exit_reason
  + Medium: pgsql: replace error log messages with calls to ocf_exit_reason
  + Medium: sg_persist: remove uncalled for ocf_run calls
  + Medium: ocf_shellfuncs: suppress bash specific trace_ra log on dash
  + Medium: Generation and error check of the container name at the time of the globally-unique designation.(repost)
  + Medium: Filesystem: add overlay as supported filesystem
  + Medium: When mysql has been already stopped, mysql is finished normally.
  + Medium: ocf-rarun: replace error log messages with calls to ocf_exit_reason
  + Medium: docker: Correction of the mistake of the variable name.
  + Low: mysql: tmpfile is leaking when set the OCF_CHECK_LEVEL to 10
  + Low: mysql: fix missing variables
  + Low: pgsql: fix invalid log message
  + Low: pgsql: fix to be used valid charcters when the invalid characters is used in replication_slot_name.
  + Low: pgsql: fix grep failure when using pacemaker 1.1.12
  + Low: apache-conf: handle parsing includes with values in quotes
  + Low: Changed the check handling of pid to the common function.
  + Low: Changed it that the message which pid file deleted repeated and did not appear
  + Low: pgsql: properly show default values in meta-data
  + Low: syslog-ng: set default binary to /sbin/syslog-ng
  + SAPDatabase: Add Oracle 12 to list of supported databases (bsc#953991)
  + VirtualDomain: New resource attributes migration_speed and migration_downtime
  + LVM: Allow vgck failures if partial
  + galera: force crash recovery if needed during last commit detection
  + galera: prevent recovered nodes from bootstrapping cluster when possible
  + galera: start joining nodes during 'monitor' to allow long-running SST
  + IPaddr2: Add IPv6 DAD collision detection
  + lxc: fix emergency stop functionality on 1.0
  + send_arp: fix for infiniband, re-merge from upstream iputils arping
  + mysql.sh: wait up to startup_wait seconds before failing if mysqld startup is slow
  + Fix 90s wait/killing of databases containing the name of the database being killed, and added cleanup code to kill remaining listener process.
- Remove merged patches:
  - Remove 0001-nfsserver-Add-EXEC_MODE-for-systemd-without-nfs-lock.patch
  - Remove 0002-nfsserver-Use-rpc-statd.service-for-NFS-locking-in-E.patch
  - Remove 0003-High-clvm-fix-issue-with-only-first-option-of-daemon.patch
  - Remove 0004-var-lock-subsys-is-non-standard-check-for-it-first.patch
  - Remove 0005-Medium-exportfs-don-t-increment-fsid-for-single-dire.patch
  - Remove 0006-Low-nfsserver-prevent-error-messages-on-platforms-wi.patch
  - Remove 0007-Medium-nfsserver-do-redhat-specific-stuff-on-redhat.patch
  - Remove 0008-Low-ldirectord-Fix-unset-failcount-error.patch
  - Remove 0009-Medium-nfsserver-fix-monitor-for-systemd.patch
* Thu Feb  4 2016 kgronlund@suse.com
- High: clvm: fix issue with only first option of daemon_options being used (bsc#965179)
- /var/lock/subsys is non-standard, check for it first (bsc#965179)
- Medium: exportfs: don't increment fsid for single directory (bsc#961380)
- Low: nfsserver: prevent error messages on platforms without rpcuser (again) (bsc#965179)
- Medium: nfsserver: do redhat specific stuff on redhat (bsc#965179)
- Low: ldirectord: Fix unset failcount error (bsc#962795)
- Medium: nfsserver: fix monitor for systemd (bsc#965179)
- Add 0003-High-clvm-fix-issue-with-only-first-option-of-daemon.patch
- Add 0004-var-lock-subsys-is-non-standard-check-for-it-first.patch
- Add 0005-Medium-exportfs-don-t-increment-fsid-for-single-dire.patch
- Add 0006-Low-nfsserver-prevent-error-messages-on-platforms-wi.patch
- Add 0007-Medium-nfsserver-do-redhat-specific-stuff-on-redhat.patch
- Add 0008-Low-ldirectord-Fix-unset-failcount-error.patch
- Add 0009-Medium-nfsserver-fix-monitor-for-systemd.patch
* Tue Nov 24 2015 kgronlund@suse.com
- nfsserver: Use rpc-statd.service for NFS locking in EXEC_MODE=3 (bsc#955114)
- Add 0002-nfsserver-Use-rpc-statd.service-for-NFS-locking-in-E.patch
* Fri Nov 20 2015 kgronlund@suse.com
- nfsserver: Add EXEC_MODE for systemd without nfs-lock.service (bsc#955114)
- Add 0001-nfsserver-Add-EXEC_MODE-for-systemd-without-nfs-lock.patch
* Wed Sep 16 2015 kgronlund@suse.com
- Update to version 3.9.6+git.1442374860.7f3628a:
  + Low: pgsql: set_master_score use an undefined variable($target).
  + Fix exec_sql errors like "unknown variable select pg_ " on ubuntu
  + Low: findif.sh: Allow + and - as broadcast arguments (bsc#940931)
  + Low: IPaddr2: Describe + and - broadcast arguments (bsc#940931) (#656)
  + galera: add support for MYSQL_HOST and MYSQL_PORT from clustercheck
* Tue Sep  8 2015 kgronlund@suse.com
- Update to version 3.9.6+git.1441596198.a62fc5a:
  + High: clvm: activate_vgs option for enable/disable of automatic vg activation
  + High: IPsrcaddr: return correct error code during stop when misconfigured
  + Fixed redis start operation if replication sync takes > 20 seconds
  + Made 'slave of XXX' wait forever (demote)
  + Low: pgsql: eliminate duplicate "ocf_exit_reason".
  + Docker: remove trailing spaces
  + Docker: fix docker existance test report error
  + High: redis: avoid 0 byte dump.rdb start failures
  + High: dhcpd: use correct default chroot for rhel based systems
  + orainstance.sh: interpret listener stop results correctly
  + Support RozoFS
  + Low: pgsql: replace "output=su ..." to a new function, exec_sql()
  + Medium: pgsql: delete an old replication slot when creating the slot.
  + iSCSILogicalUnit: add check for leftover target/core entries for lio-t
  + iSCSILogicalUnit: return OCF_NOT_RUNNING on monitor if backing path does not exist
  + iSCSILogicalUnit: when deleting a LUN or initiator fails with lio-t, proceed with warning
  + iSCSITarget: properly create portals for lio-t implementation
  + more accurate search results when tag is not specified
  + Fix "docker images" difference between distro
  + more strictly image check for repository, name, and tag
  + Use runuser inteald of su command for SELinux enforcing mode
  + Use runuser command instead of su in order to run selinux enforcing mode.
  + Medium: CTDB: Preserve permissions on smb.conf (bsc#935253)
  + High: redis: use required client pass word when set
  + Added "maxfiles" parameter for increasing maximum number of open files (for ulimit -n)
  + Low: update contact info
  + pgsql: Fix return code override in pgsql_real_start()
  + [high] Fix redis password parser
* Fri May  8 2015 kgronlund@suse.com
- Update to version 3.9.6+git.1430920897.b7ea7f9:
  + High: galera: make sure to clear last known sequence number promote is even attempted
  + High: galera: properly redetect bootstrap after demote
  + High: ethmonitor: link_status_only option for skipping RX counter and arping tests
* Tue Apr 21 2015 kgronlund@suse.com
- Update to version 3.9.6+git.1429568091.f79322c:
  + Medium: multiple: make sure that the pidfile directory exist
  + orainstance.sh: Fix process name grep in exit_idle
  + Low: pgsql: fix check_wal_receiver to prevent incorrect "ERROR" status display and output WARN log in the master
  + Low: allow rgmanager lvm agent to handle hostname aliases
  + Fix rmq_join_list to only return online nodes
  + Medium: pgsql: Support replication slots
  + Low: pgsql: add validation check for replication slot.
  + Low: redis: smarter config argument default
  + Fix: redis: reliable shutdown.
  + Low: redis: loosen advertised default monitor timeout seconds
  + Fix: redis: do not attempt to demote if redis is dead
  + Low: redis: make sure to always delete master score on stop
  + Low: redis: reconnect to new master after promotion
  + High: redis: only connect to active master instances
  + High: redis: wait_last_known_master option for redis agent.
  + Low: redis: prevent bash syntax errors and lower priority some log messages
  + High: galera: retrieve last sequence number without using read-only mode
  + Fix return code in asterisk_monitor #2
* Tue Apr  7 2015 kgronlund@suse.com
- Update to version 3.9.6+git.1427133197.6897c9c:
  + High: introducing rabbitmq clustering agent
  + Filesystem: fix misspelled log messages
  + Filesystem: support overlayfs
  + Medium: sg_persist: do use the binary parameter
  + Medium: dnsupdate: use the advertised nsupdate_opts
  + build: add missing RAs to makefiles
  + Fix: nfsserver: avoid re-tagging nfs sysconfig with autogen header
  + nfsserver: merge options into existing sysconfig/nfs
  + portblock: portno param can be a string like 137,138
  + portblock: replace ancient heartbeat config with crm configure
  + portblock: clarify TCP RST vs ICMP port unreachable
  + portblock: capitalize "Linux"
  + portblock: ports can't be "turned off"
  + portblock: fix typo
  + Medium: VirtualDomain: enforce C locale in force_stop
  + Low: VirtualDomain: Fixed to correctly get the return code of the "virsh destroy" command
  + redis: retry on unknown error when starting
  + bash bug fix, no arbitrary stop timeout, placeholder master during election period
  + build: update ChangeLog for 3.9.6
  + Medium: VirtualDomain: enforce C locale in status
  + CTDB: Change default socket location to CTDB's expected default.
  + CTDB: Whitespace cleanup.
  + Medium: VirtualDomain: add migrate_options parameter
  + nginx: Allow different URLs for level 10 and 20 monitor
  + build: update ChangeLog for 3.9.6-rc1
  + Low: nfsserver.sh: for rgmanager nfs agent, strip off trailing '/' from path option
  + mysql.sh: Allow MySQL to run as user other than mysql
  + fs-lib.sh: Fix missed detection of write failure
  + Low: postgresh-8.sh: fixes rgmanager pgsql agent's ability to detect user group
  + Modify manual for negotiatetimeout
  + Medium: iscsi: run iscsi discovery only when necessary
  + High: VirtualDomain: save the config before virsh undefine (bnc#891915)
  + RA and ocft for sg_persist
  + ldirectord: Add Install section for systemd unit file.
  + Use calculated default pidfile.
  + Removed 'pidof' because it's not cross-platform compatible
  + Using 'check_binary'
  + ldirectord: modify manual and sample for Radius check
  + ldirectord: Fix can not remove virtualservice when stopping ldirectord via systemctl.
  + findif.sh: Use the most specific matching route
  + Low: LVM: volgrpname is unique (meta-data update)
  + Medium: ldirectord: Get correct user for sending email (bnc#910497)
  + Low: configure.ac: remove POSIX-incompatible command
  + Low: add variables OCF_RA_VERSION_MAJOR, OCF_RA_VERSION_MINOR, OCF_EXIT_REASON_PREFIX OCF_RESOURCE_TYPE, and OCF_RESOURCE_PROVIDER in ra-dev-guide.txt based on pacemaker source
  + Low: add a few more references to notify in ra-dev-guide.txt
  + #526, do not set write_back when creating backstore/block
  + Medium: portblock: Feature: reset_tcp_on_unblock_stop
  + Low: nfsserver: prevent error messages on platforms without rpcuser
  + Medium: Xen: fix regression with xm and quoting (lf#2671)
  + re-add LXCpre1.0 logic
  + remove check for unused binary
  + fix for missing lxc-ps command in ocf:heartbeat:lxc
  + Low: Route: some unique attributes are not unique
  + Log domain status in debug mode for xl and xen-list
  + Medium: IPaddr2 findif: accept dotted quad netmask
  + Low: mysql: document use of notify metadata attr for master/slave
  + Medium: VirtualDomain: For Xen, prefer xl to xen-list (boo#901453)
  + Medium: Xen: Use xl list $domain return code in status check (boo#901453)
  + Low: pgsql: PostgreSQL 9.3 compatibility for unix_socket_directories
- Remove merged patches:
  + findif-multiple-routes-bnc892755.patch
  + fix-sg_persist-commented-byLars.patch
  + fix-sg_persist-demote-error.patch
  + fix-sg_persist-devs-required-and-not-defined.patch
  + fix-sg_persist-for-code-normalization.patch
  + resource-agents-new-sg_persist.patch
  + sg_persist-ocft-not-configure-iscsi.patch
* Mon Dec  1 2014 kgronlund@suse.com
- Update to upstream cs v3.9.5-633-ge31fa6f (boo#901453)
  - Low: Xen: Log domain status in debug mode for xl and xen-list
* Fri Nov 21 2014 kgronlund@suse.com
- Update to upstream cs v3.9.5-631-g992ca06 (boo#901453)
  - High: iSCSILogicalUnit: fixes syntax errors
  - High: mysql: do not report success on 'stop' if validation fails
  - High: galera: do not ignore specified check_password
  - Fix: shellfuncs: fix syntax error caused by exit_reason support for dash shell.
  - Fix: ocf_exit_reason: implicit format string "%%s" for single argument version
  - Fix: ha_log: drop global __ha_log_ignore_stderr_once hack
  - $((var++)) breaks in the dash shell
  - High: Introduces the docker agent to manage docker containers in an HA environment
  - High: mysql: report error when validation fails during monitor yet pid is still active
  - High: mysql-common: avoid use of check_binary in common validation function.
  - Medium: ocf-shellfuncs: set HA_LOGD depending on HA_use_logd
  - Low: VirtualDomain: downgrade error msg during probe
  - Dev: ocf-shellfuncs: use function only after it was defined, sigh (amends 676feb0)
  - Modified replication_user description: RELOAD privilege is required for RESET SLAVE or RESET SLAVE ALL command.
  - lvm_by_vg.sh: Only strip tag on stop if we are owner
  - Low: pgsql: PostgreSQL 9.3 compatibility for unix_socket_directories
  - Medium: Xen: Use xl list $domain return code in status check (boo#901453)
  - Medium: VirtualDomain: For Xen, prefer xl to xen-list (boo#901453)
  - Low: mysql: document use of notify metadata attr for master/slave
* Tue Sep 16 2014 kgronlund@suse.com
- Update to upstream cs 5652c04 (bnc#889914)
  - fix output redirection of 'anything' resource
  - Medium: mysql: fix unexpected operation error that caused by MySQL client timeout.
  - Middle: anything: Prevent stop failure, even if the job takes time to stop.
  - High: doc: Add pcs to man page example section
  - Remove use of non standard command usleep
  - High: ethmonitor: exit reason support
  - High: Exit reason string support updates
  - Medium: Build: add --compat-habindir option for HA_BIN backward compatibility
  - Low: iSCSITarget: Support exit reason string
  - High: iSCSITarget: monitor operation must pass before start is considered complete
  - Low: iSCSILogicalUnit: support ocf exit reason string
  - High: iSCSILogicalUnit: monitor operation must pass before start is considered complete
  - Merge pull request #482 from davidvossel/iscsi-updates
  - High: iSCSILogicalUnit: Improves the resiliency of LIO iSCSILogicalUnit
  - Low: iSCSILogicalUnit: fix inconsistent formatting
  - High: Filesystem: when loading kernel modules wait for filesystem to initialize
  - High: ocf-shellfuncs: Remove action_filter from ocf_exit_reason parameters
  - High: ethmonitor: add infiniband status monitoring support
  - Medium: Xinetd: refine exit codes when xinetd is stopped
  - Low: ethmonitor: Add pcs example with crmsh example in metadata
  - Low: ethmonitor: Improve logging during monitor operation to help determine reason for failure
  - High: clvm: automatically set lvm.conf's locking_type=3
  - High: VirtualDomain: exit reason support
  - High: IPaddr2: support ocf_exit_reason
  - High: exportfs: support exit reason string
  - High: nfsserver: support exit string in nfsserver agent
  - High: nfsnotify: set exit reason strings in nfsnotify agent
  - High: ocf-binaries: have 'check_binary' set exit reason
  - High: ocf-shellfuncs: Log exit reason to log facilities as well as stderr
  - Revised IPv6 workaround code #379
  - Low: ethmonitor: Use consistent formatting
  - Low: ethmonitor: Increase recommended default timeout settings
  - Low: ethmonitor: Perform first monitor during start action
  - Low: nfsserver: only set rquotad options when port is set
  - separate lio and lio-t start
  - add targetcli support to iSCSI resource agents
- Remove merged patch: xen-replace-xm-with-xl.patch
- upstream cs: v3.9.5-578-g5652c04
* Tue Aug 26 2014 kgronlund@suse.com
- Add patch findif-multiple-routes-bnc892755.patch
  - findif.sh: Use the most specific matching route (bnc#892755)
* Thu Aug 14 2014 kgronlund@suse.com
- drop dependency on monitoring-plugins-udp since it is folded into
  monitoring-plugins-tcp
* Thu Aug  7 2014 kgronlund@suse.com
- Rename nagios-plugins-metadata to monitoring-plugins-metadata (bnc#890337)
* Tue Aug  5 2014 kgronlund@suse.com
- Medium: Xen: Properly quote domain name in call to create
- Updated patch: xen-replace-xm-with-xl.patch
* Tue Aug  5 2014 kgronlund@suse.com
- Low: oracledb.sh: remove process path from process search results
- Low: Dummy: add sample usage of 'ocf_exit_reason'
- High: shellfuncs: set exit error reason string
- Medium: oracle: fix setting monitor user profile for other languages (nls)
- Low: LVM: Warn users about the danger of lvmetad
- Low: nfsnotify: fixes error message output
- Low: nfsserver: fix usage of rquatad_port option
- Low: nfsserver: warn user when nfs port options can not be set
- Low: nfsserver: fixes issue with proc/fs/nfsd not being mounted during start on some distros
- Low: ocf-shellfunctions: handle local nodename when version has distro postfix
- Low: bind-mount.sh: Update meta-data to reflect required arguments
- Low: mysql: Refactoring mysql logic into common library that can be shared with galera agent
- Medium: oracle: reset MONUSR password if it expired
- High: oracle: try as sysdba if monitor as MONUSR fails
- High: oralistener.sh: Do not fail during stop if listener has already stopped
- Low: oracledb.sh: Fix exit_idle loop to exit process wait loop correctly
- Low: orainstance.sh: the exit_idle function was a no-op because of a malformed grep search
- Low: oralsnr: ignore listener case during grep for pid
- dropped merged patches:
  - 0001-High-oracle-Require-monitoring-user-as-parameter-bnc.patch
  - 0001-Medium-VirtualDomain-Try-xen-list-if-no-emulator-is-.patch
  - 0001-Medium-mysql-Update-mysql-with-more-sensible-default.patch
  - apache-fix-bnc884674.patch
- upstream cs: v3.9.5-508-g4f369d8
* Tue Aug  5 2014 kgronlund@suse.com
- Reintroduce nagios plugins metadata (bnc#890337)
  - Add nagios-plugins-metadata.tar.bz2
* Tue Jul 22 2014 kgronlund@suse.com
- Revised fix for apache RA on SUSE distributions (bnc#884674)
- Add apache-fix-bnc884674.patch
* Tue Jul  8 2014 kgronlund@suse.com
- Medium: VirtualDomain: Try xen-list if no emulator is set (bnc#885292)
- Add 0001-Medium-VirtualDomain-Try-xen-list-if-no-emulator-is-.patch
* Tue Jul  8 2014 kgronlund@suse.com
- Medium: exportfs: allow multiple exports
- High: nfsserver: Support new NFS Active Passive and Active Active use-cases.
- Low: nginx: Fix incorrect parameter name
- Reintroduce Xen RA (bnc#882548)
  - High: Xen: Enable use of xl instead of xm if available (bnc#882548)
  - Add: xen-replace-xm-with-xl.patch
- dropped merged patches:
  - remove 0001-ctdb-add-ctdb_rundir-parameter-and-create-on-startup.patch
  - remove 0001-Medium-VirtualDomain-Add-support-for-qemu-dm-as-emul.patch
  - remove apache_conditional_initd_check-bnc884674.patch
- upstream cs: v3.9.5-453-g9eb8c17d467e
* Fri Jul  4 2014 ddiss@suse.com
- Create the CTDB runtime state directory on startup; (bnc#885049).
  + added 0001-ctdb-add-ctdb_rundir-parameter-and-create-on-startup.patch
* Fri Jul  4 2014 kgronlund@suse.com
- Medium: VirtualDomain: Add support for qemu-dm as emulator (bnc#885292)
- add 0001-Medium-VirtualDomain-Add-support-for-qemu-dm-as-emul.patch
* Mon Jun 30 2014 kgronlund@suse.com
- Medium: apache: Check before calling init.d script (bnc#884674)
- add apache_conditional_initd_check-bnc884674.patch
* Wed Jun 25 2014 kgronlund@suse.com
- High: conntrackd: allow probe to return OCF_RUNNING_MASTER
- High: Filesystem: Add force_unmount option
- High: fs-lib.sh: Force kill processes with access to shared libraries on mount point
- High: VirtualDomain: restore advertised start and stop timeout values to a sane value.
- Exclude Xen resource agent (bnc#882548)
- Merged upstream:
  - Removed 0001-Low-ldirectord-fix-the-list-output-to-include-ops-fl.patch
  - Removed 0001-ldirectord-Add-systemd-unit-file-bnc-863250.patch
- Dropped (bnc#882548)
  - Removed xen-replace-xm-with-xl.patch
- upstream cs: v3.9.5-432-g07aeed7c9035
* Sun Jun 15 2014 kgronlund@suse.com
- Update xm/xl patch with additional fixes (bnc#882548)
- Modified: xen-replace-xm-with-xl.patch
* Fri Jun 13 2014 kgronlund@suse.com
- High: Xen: Replace use of xm with xl (bnc#882548)
- Add: xen-replace-xm-with-xl.patch
* Tue Jun 10 2014 kgronlund@suse.com
- rgmanager/fs: typo preventing passing some mount opts
- nfsserver.sh: add an optional option for rpc.statd
- fs-lib.sh: Fix usage of findmnt to work for filesystems containing bind mounts
- addition of bind-mount resource agent for rgmanager
- postgres-8.sh: add startup_wait option to rgmanager postgres agent
- upstream cs: v3.9.5-410-g6f1dffee54d1
* Fri May 30 2014 lwang@suse.com
- sg_persist: change sg_persist ocft not configure isci and let user prepare it manually
  add sg_persist-ocft-not-configure-iscsi.patch
* Fri May 30 2014 lwang@suse.com
- bnc#880726: sg_persist devs required and not defined when define by configuration file
  add fix-sg_persist-devs-required-and-not-defined.patch
* Tue May 27 2014 lwang@suse.com
- bnc#879881: fix sg_persit demote error
  add fix-sg_persist-demote-error.patch
* Fri May 23 2014 kgronlund@suse.com
- Updated 0001-ldirectord-Add-systemd-unit-file-bnc-863250.patch
  - Use absolute paths for touch and rm
- ldirectord: Add missing dependency on perl-IO-Socket-INET6
* Fri May 23 2014 kgronlund@suse.com
- ldirectord: Add service_add_pre macro for systemd unit file
* Mon May 19 2014 kgronlund@suse.com
- rgmanager/fs: typo preventing passing some mount opts
- nfsserver.sh: add an optional option for the rpc.statd listening port
- iscsi: iscsi status fails with open-iscsi with support for flash (bnc#878039)
- nfsserver: let systemd service files handle lock notifications
- vm.sh: Monitor kvm resources without requiring libvirtd
- Calculate stop loop according stop timeout
- Added kamailio resource agent
- IPaddr2: fix error msg from manual clone/incarnation # era
- clvm: Properly detect directory for vg tools
- Add IPv6 http(s) health checking to ldirectord
- nfsserver.sh: On stop, kill sm-notify so /var/lib/nfs/statd can be unmounted
- VirtualDomain: Allow monitoring of lxc domains without libvirtd
- named.sh: Fix issues running named daemon as a non-root user
- VirtualDomain: cache domain emulator after start
- CTDB: do not fail monitor operation when ctdb socket does not exist
- exportfs: Make unlock_on_stop_default=1 (bnc#864263)
- Stateful: Clean up implementation of Stateful (bnc#867372)
- dnsupdate: resource agent for IP take-over via dynamic DNS
- upstream cs: v3.9.5-404-g61a2ccc8b7b1
- Updated resource-agents-nfsserver-sle11.patch
- Removed 0015-Medium-exportfs-Make-unlock_on_stop_default-1-bnc-86.patch
- Removed 0010-Add-dnsupdate.patch
* Tue May 13 2014 kgronlund@suse.com
- use _rundir macro (ro@suse.de)
* Thu Apr  3 2014 lwang@suse.com
--Fate#312345-add fix-sg_persist-commented-byLars.patch
* Fri Mar 28 2014 kgronlund@suse.com
- mysql: Update mysql with more sensible defaults (bnc#863844)
- added patches:
  * 0001-Medium-mysql-Update-mysql-with-more-sensible-default.patch
- removed patches:
  * resource-agents-mysql-sle11.patch
* Wed Mar 12 2014 lmb@suse.com
- dnsupdate: Resource agent for IPv4 DDNS updates (fate#316112)
- added patches:
  * 0010-Add-dnsupdate.patch
* Mon Mar 10 2014 kgronlund@suse.com
- exportfs: Make unlock_on_stop default to 1 (bnc#864263)
- added patches:
  * 0015-Medium-exportfs-Make-unlock_on_stop_default-1-bnc-86.patch
* Fri Feb 28 2014 kgronlund@suse.com
- ldirectord: Add systemd unit file (bnc#863250)
- ldirectord: fix the list output to include ops flag (bnc#847005)
- VirtualDomain: Fixes parsing domain name from xml file
- nfsclient.sh: Add 'sec=' as a valid exports option
- CTDB: Detect default persistent database directory
- CTDB: Ensure logfile directory exists so CTDB can start
- VirtualDomain: Attempt to determine vm status even when libvirt
  is unavailable
- apache.sh: Add ability to set custom httpd binary
- findif: Update default value for best_netmask
- VirtualDomain: avoid running "virsh uri" if hypervisor is set
- VirtualDomain: check process table for qemu-system-* too
- mysql: handle %%secs_behind = NULL
- logging: Fix syntax errors with logging functions in LVM and
  asterisk agents
- upstream cs: 935b92fd
- added patches:
  * 0001-Low-ldirectord-fix-the-list-output-to-include-ops-fl.patch
  * 0001-ldirectord-Add-systemd-unit-file-bnc-863250.patch
* Tue Feb 25 2014 kgronlund@suse.com
- oracle: Require monitoring user as parameter (bnc#850589, bnc#859683)
  Consolidate oracle patches into a single patch.
- added patches:
  * 0001-High-oracle-Require-monitoring-user-as-parameter-bnc.patch
- removed patches:
  * 0003-Medium-oracle-Create-profile-for-OCFMON-user-bnc-850.patch
  * 0004-High-oracle-Make-monitoring-user-configurable-bnc-85.patch
  * 0009-Medium-oracle-Make-monuser-parameter-case-insensitiv.patch
* Fri Feb 14 2014 lwang@suse.com
- Fate#312345-Add fix-sg_persist-for-code-normalization.patch
* Thu Jan 23 2014 kgronlund@suse.com
- Remove 0001-Medium-CTDB-Default-ctdb-manages-samba-and-ctdb-mana.patch:
  Remove obsolete patch
- Remove 0002-Medium-CTDB-Add-smb_fileid_algorithm-parameter-defau.patch:
  Remove obsolete patch
* Wed Jan 22 2014 kgronlund@suse.com
- Add 0001-Medium-CTDB-Default-ctdb-manages-samba-and-ctdb-mana.patch:
  CTDB: Default ctdb manages samba and ctdb manages winbind to "yes", tserong@novell.com
- Add 0002-Medium-CTDB-Add-smb_fileid_algorithm-parameter-defau.patch:
  CTDB: Add smb_fileid_algorithm parameter, defaults=fsid (bnc#696978), tserong@novell.com
- Add 0003-Medium-oracle-Create-profile-for-OCFMON-user-bnc-850.patch:
  oracle: Create profile for OCFMON user (bnc#850589), kgronlund@suse.com
- Add 0004-High-oracle-Make-monitoring-user-configurable-bnc-85.patch:
  oracle: Make monitoring user configurable (bnc#859683), kgronlund@suse.com
- Add 0006-Revert-Low-build-Move-binaries-in-usr-lib-heartbeat-.patch:
  Revert move of heartbeat binaries to /usr/libexec
- ldirector: fix using service name instead of port number (bnc#836759)
- pgsql: Support for non-standard port and library locations
- Xen: retry domain lookup in repeating monitor and stop
- Xen: report error if the monitor does not find the guest
- VirtualDomain: support more virsh domstate output formats
- LVM: only remove missing PVs on stop when they belong to mirrors
- Raid1: disallow md raid arrays as clone resources to avoid data corruption
- Raid1: make clone prevention overridable similar to the Filesystem RA
- Filesystem: switch to use ocf_is_clone helper function
- varnish: Added support for ulimit -l and ulimit -n
- jboss: Monitor rotatelogs process and restart when it is stopped
- Pure-FTPd: Create pid directory if needed
- lxc: support up-to-date lxc-ps versions
- oracledb.sh: Fix process name grep in exit_idle
- oracledb.sh: Remove quotes around listener name
- oralsnr: Add tns_admin option for setting custom TNS_ADMIN path
- VirtualDomain: Fix ability to use default libvirt hypervisor without explicitly setting agent attribute
- VirtualDomain: Ensure it is possible to manage a libvirt domain defined outside of VirtualDomain
- nfsserver: nfsserver not starting due to missing etab file
- fs-lib.sh: Fixes failure to unmount local fs when process runs with cwd inside fs mount
- upstream cs: 468ed4f8
* Fri Jan 17 2014 lwang@suse.com
- fix a few lines for monitor
* Mon Jan 13 2014 kgronlund@suse.com
- Fate#312345-Add resource-agents-new-sg_persist.patch: RA for persistent
  SCSI reservation
* Tue Sep 10 2013 dmuhamedagic@suse.com
- Filesystem: add corosync as HA_cluster_type
- eDir88: multiple IP support (bnc#)
- apache: better handling of not installed apache
- jboss: add jboss_base_dir parameter to support multi-instances
  on JBoss 6
- jboss: stop the JBoss daemon by sending a signal on JBoss 6
- jboss: add run_command parameter to change the start up script
- jboss: add jboss_version parameter to support JBoss 6
- tomcat: use root as the default for tomcat_user instead of
  RUNASIS mode
- tomcat: multiple tomcat instances based on CATALINE_BASE
- VirtualDomain: no longer define a domain, but use "virsh
  create" to start it non-persistent
- pound: add parameter maxfiles to set ulimit
- apache: remove unnecessary and imperfect checks from
  validate_all (bnc#827927)
- pgsql: set only one node into sync mode when using 3 nodes or
  higher
- Raid1: stop arrays even with block device file missing
  (bnc#821861)
- oracle/oralsnr: explicitly require bash (bnc#825517)
- Raid1: set MDADM_NO_UDEV appropriately if udev is not used
- Raid1: wait for udevd to settle (bnc#821861)
- iSCSILogicalUnit: add tgt specific parameters bstype, bsoflags,
  device_type
- apache: Attempt graceful stop before -TERM signal
- LVM: Warn user if initrd is older than lvm.conf when using
  exclusive activation with tags
- LVM: Exclusive activation without clvmd using filtering with
  tags.
- named: Attempt to autogen /etc/rndc.key using rndc-confgen tool
- mysql: really use log setting (bnc#823095)
- mysql: test properly for failed process start (bnc#823095)
- LVM: Retry exclusive activation after deactivating vg
  cluster-wide
- LVM: Verify setup on start plus verify exclusive activation is
  possible
- Route: make Route RA IPv6 ready
- drbd: remove deprecated drbd agent
- tools: send_arp.libnet: reuse ARP packets (deb#701914)
- ethmonitor: correctly detect when the network is unplugged.
- Raid1: do not test for device existence in the stop operation
  (bnc#821861)
- VirtualDomain: Support saving and restoring virtual machine
  snapshot state files
- nfsserver: Cleanup shared nfs dir mount
- nfsserver: Enable file locking daemon when systemd is being
  used
- nfsserver: Maintain SELinux permissions on failover for nfs v3
  lock state
- nfsserver: Improve support for v3 file lock recovery
- nfsserver: Add systemd unit-file support when init scripts are
  not present
- apache: add pidfile directive when not present in config file
- VirtualDomain: Properly detect defined lxc domains
- iSCSILogicalUnit: add lio_iblock parameter.
- upstream cs: 3cafd1
* Thu Aug  1 2013 tchvatal@suse.com
- Run over format_spec_file service.
* Tue Mar 26 2013 dmuhamedagic@suse.com
- ocf-shellfuncs: use $HA_VARLIB as default destination for trace
  files
- VirtualDomain: allow for custom migrateport
- IPaddr2: support nic:iflabel format in nic parameter
- upstream cs: ddad46 (v3.9.5)
* Tue Feb  5 2013 dmuhamedagic@suse.com
- ocf-shellfuncs: RA tracing
- IPaddr2: make sure that some ARP send program runs
- pgsql: add check_wal_receiver parameter
- pgsql: support starting as Hot Standby
- nfsserver: improve rpc.statd support
- nfsserver: add option -n for rpc.statd (bnc#794479)
- nfsserver: make the retry time for sm-notify configurable
- nfsserver: make sm-notify running in the foreground configurable
- exportfs: handle '<world>' exportfs embelishment for '*' (bnc#791690)
- jboss: set JAVA_OPTS correctly
- pound: use correct default for control-binary
- pound: No error when stopping pound and no pound is running
- Squid: support systems using IPv6
- Xinetd: do not fail in stop if the daemon is not running
- Xinetd: improve finding Xinetd process (thanks to Vadym Chepkov)
- SendArp: add background parameter
- SendArp: fix monitor
- ocft: print the actual case names when testing
- ocft: make only the updated test-case file
- ocft: add "incremental" mode (ocft test -i)
- include a copy of LGPL license file
- upstream cs: e265f0 (3.9.5 rc1+)
* Wed Nov 28 2012 dmuhamedagic@suse.com
- zabbixserver: RA for zabbix servers management
- IPaddr2: use better test for infiniband (bnc#783353)
- IPaddr2: replace the findif binary by findif.sh
- IPaddr2: add IPv6 support
- IPaddr2: really send arps in background if requested
- IPaddr2: use send_arp instead of ipoibarping if not available
- Raid1: discover block size for dd (bnc#781137)
- Xen: repair node_ip_attribute use
- SAPDatabase: improvement of cleanup of saphostctrl process
- SAPInstance: monitor-master not advertised (bnc#782482)
- SAPInstance: don't wait for timeout if the stop attempt failed
- SAPInstance: failes on sapcontrol message Unauthorized (bnc#782486)
- tomcat: Correction of the process alive monitoring.
- ldirectord: Added READDQUIESCENT parameter
- Squid: fix getting PIDs of squid processes (lf#2653)
- portblock: use end-of-word instead of space at the end of the line
- named: use pgrep instead of searching in ps(1) output
- named: fix monitor if named_rootdir is set to /
- tools: add test-findif.sh
- tools: add send_ua binary for IPv6 support in IPaddr2
- ocft: new test for Raid1
- upstream cs: 4890c9 (3.9.4)
* Thu Sep 27 2012 dmuhamedagic@suse.com
- dhcpd: new RA to manage ISC DHCP servers
- pound: new RA for Pound HTTP/HTTPS reverse-proxy and load-balancer
- ocf-rarun: add the RA driver
- apache: create /var/run/apache2 if it doesn't exist
- conntrackd: rename parameter "conntrackd" to "binary"
- conntrackd: resync from other hosts in start
- exportfs: allow expanding the fsid parameter to produce correct
  exportfs options
- exportfs: cleanup exportfs cache on stop (bnc#770210)
- exportfs: don't grow /var/lib/nfs/rmtab indefinitely (bnc#754067)
- Filesystem: add nfs4 to the list of well known types
- Filesystem: allow to force cloning for local mounts
- Filesystem: fix determining if the device is a block device
- Filesystem: improve read/write checks for CHECK_LEVEL 10, 20
- Filesystem: include ceph in the list of non-blockdev filesystems
- Filesystem: remove a status file only when OCF_CHECK_LEVEL is set to 20
- Filesystem: support ceph
- IPaddr2: fix regression introduce in d93b5fd, nic=lo always "stopped"
- IPaddr: remove colon at the end of the interface name
- IPv6addr: always use the provided nic and cidr_netmask when specified
- iscsi: add try_recovery parameter
- iscsi: check session status in monitor
- iscsi: do discovery in start only
- iscsi: do not rely on iscsid.startup being set correctly (bnc#751783)
- iscsi: don't fail on stop of the iscsi server fails
- iscsi: use iscsiadm -m session -r in stop
- iSCSILogicalUnit: correctly match for target IQN and backing
  device name (iet and tgt)
- iSCSITarget: treat an empty "implementation" parameter specially
- jboss: implement rotating of console log
- ldirectord: precedence error with perl v5.8.8 in IPv6 code
- lxc: fix LXC_status to work with lxc-0.7.5 or later
- mysql: fix validation return codes
- mysql: improve replication support
- mysql: support 5.5 slave status message format
- mysql-proxy: add in-depth monitoring
- mysql-proxy: add the 'plugins' parameter
- mysql-proxy: create pid/socket directories if needed
- nfsserver: add a new parameter for the rpc_pipefs mount point
- nfsserver: don't run sm-notify in foreground (bnc#759616)
- nfsserver: NSM state files correctly populate
  /var/lib/nfs/sm.ha (bnc#684139)
- nfsserver: Support of multiple IP addresses (bnc#684143)
- oracle: connect as a regular user in monitor
- oracle: ignore password expiry warning in monitor (bnc#770250)
- oracle: improve managing IPC objects
- oracle: improve matching instance specific files and processes
- oracle, oralsnr: get rid of eval
- oralsnr: match only one (our) listener process
- pgsql: add option archive_cleanup_command
- pgsql: add option recovery_end_command
- pgsql: support for replication
- pgsql: support multi-instance in replication mode
- Raid1: manage multiple arrays
- Raid1: stop processes using raiddev
- SAPDatabase: add support for Sybase ASE and SAP HANA database
- SAPDatabase: new method for checking responsiveness of saphostexec
- SAPDatabase: make use of saphostagent
- sfex: sfex_init fails on a 64 bit big endian platform (lf#2647)
- slapd: always set the exit code correctly in monitor
- slapd: Gracefully handle config check during probe
- slapd: pass bind_dn correctly to ldapsearch
- tomcat: Correction of the time-out level of the stop processing.
- VIPArip: fix exit codes
- VIPArip: make start idempotent
- VirtualDomain: honor virsh "in shutdown" state
- VirtualDomain: if the configuration file is missing on stop
  exit with success
- Xen: add support for HVM ACPI graceful shutdown
- Xinetd: reimplementation
- Tools: send_arp.libnet: fix for big endian platforms (bnc#721334)
- Tools: SendArp: exit with the right code when not properly configured
- ocft: new tests for mysql-proxy, named, IPv6addr, oracle, Raid1, Xinetd
- upstream cs: 810c9b
* Fri Jun 29 2012 darin@darins.net
- added resource-agents require to ldirectord as it's init script
  requires /etc/ha.d/shellfuncs which that package provides
* Tue Feb 14 2012 tserong@suse.com
- ocf-shellfuncs: fix loglevel variable scope in ha_log
- exportfs: fix monitor action for special characters and common
  suffixes
- apache: add support for IPv6 in monitor
- iscsi: don't fail in stop or monitor if the portal is
  ambiguous (bnc#740718)
- ocf-tester: add -d and -q options
- Medium: Tools: findif: Use most specific matching route (bnc#740738)
- ldirectord: Allow IPv6 for NNTP, requires perl-IO-Socket-INET6 (bnc#669412)
- SAPInstance/SAPDatabase: fix unique attribute in metadata (bnc#737673)
- IPv6addr: handle a link-local address properly in send_ua
- iSCSILogicalUnit: fix default for scsi_sn
- named: make monitor work with IPv6 interfaces
- slapd: exit with the right code if validation fails (it used to
  exit always with the generic error code)
- upstream cs: de3074
* Thu Dec 15 2011 tserong@suse.com
- Add /usr/lib/tmpfiles.d/resource-agents.conf to ensure temp dir
  exists when using systemd (bnc#734760)
* Mon Dec 12 2011 dmuhamedagic@suse.com
- varnish: new resource agent
- LVM: force dmevent monitoring for clones
- Filesystem: repair the fast_stop parameter use (its value has
  always been false)
- slapd: prevent possible timeout in stop (wrong logic in stop)
- upstream cs: 72fdc8
* Fri Nov 25 2011 dmuhamedagic@suse.com
- asterisk: new resource agent
- IPaddr: add back the local_start/stop_script code
- iscsi: proceed if iscsid is not running if iscsid.startup is
  present in iscsid.conf
- mysql: check mysql status more thoroughly before stopping
- jboss: add the java_opts parameter for java options
- VirtualDomain: add a functionality that modifies utilization of
  resource automatically
- Tools: ocft: new option Agent, corresponding configs update
- doc: Add RA developer's guide
- move NodeUtilization to Pacemaker
- upstream cs: 1f8f3d
* Fri Nov 18 2011 jshi@suse.com
- Implemetation of Dynamic utilization detection and setting.
  Based on FATE#310117 and FATE#310115.
* Tue Nov  8 2011 xwhu@suse.com
- cleanup sfex_uuid.patch
* Mon Nov  7 2011 dmuhamedagic@suse.com
- tomcat: remove pidfile before start, it may prevent some tomcat
  releases from starting
- ocft: new options variable and cleanup-agent, var/unvar renamed
  to env/unenv, corresponding configs update
- upstream cs: 5599aa
* Mon Oct 31 2011 xwhu@suse.com
- fate#311000, sfex_daemon accept "-u $uuid". When assiging $uuid
  as a parameter, $lock_index is ignored.
* Mon Oct 24 2011 dmuhamedagic@suse.com
- slapd: wait in start for the service to come up
- apache: fix sysconfig includes & enable status for default SUSE conf
- upstream cs: 80b640
* Mon Oct 10 2011 dmuhamedagic@suse.com
- named: new resource agent
- Tools: send_arp.libnet: fix for big endian platforms (bnc#721334)
- rsyslog: new RA to manage rsyslog servers
- slapd: new RA to manage OpenLDAP servers
- Xen: wait in migrate_from for the migration to finish instead
  of bailing out immediately
- conntrackd: test for socket existence in monitor instead of
  process grep
- postfix: multiple fixes and improvements
- upstream cs: 6c24ae
* Tue Sep 20 2011 tserong@suse.com
- Filesystem: add tmpfs to the list of supported filesystems
- exportfs: fix adding the fsid parameter to options
- pgsql: fix meta-data the config param type in meta-data
- IPaddr: don't search for the IP address in the route table on
  remove
- CTDB: Improve monitor op (check output of ctdb status, bnc#712192)
- CTDB: Set ctdb_start_as_disabled=no by default (bnc#712410)
- Filesystem: add support for glusterfs (lf#2620)
- ocf-shellfuncs: fix wrong logic introduced in commit 8468b5
  (fixes wrong cluster prefix in log messages)
- Filesystem: don't use direct dd option in monitor depth 20 for
  non-blockdevice fs
- CTDB: Add smb_fileid_algorithm parameter
- Implemetation of Dynamic utilization detection and setting.
  Based on FATE#310117 and FATE#310115.
- ocf-shellfuncs: add RA instance name to ocf_log/debug
- Raid1: support for multiple MD arrays, as specified in raidconf
- ethmonitor: new RA to monitor network interfaces
- conntrackd: new RA
- lxc: new RA to manage lxc linux containers
- symlink: new RA to manage symbolic links
- VirtualDomain: if there's no config exit with success on stop
- Tools: send_arp: fix the PID file location (bnc#702099)
- iscsi: fix support for open-iscsi version 2.0-872 (lf#2562)
- pgsql: don't check directories on probes
- db2: new implementation with master/slave mode
- exportfs: backup and restore rmtab to ensure smooth client
  failover on node failures
- CTDB: Allow stop to succeed when using pkill on ctdbd (bnc#695829)
- CTDB: Use op timeout when invoking ctdb client (bnc#697428)
- CTDB: Use 'chmod' instead of 'ctdb enablescript' (bnc#697152)
- mysql: --skip-slave-start option is default now
- mysql: set connect timeout to 10 seconds rather than 1 second
- mysql: keep replication state (prevents data loss on master reset)
- mysql: don't rely on state information from pacemaker, but
  check if the instance is in the read-only mode
- mysql: if test parameters are all set, assume OCF_CHECK_LEVEL=10
- mysql: support for master/slave for more than two nodes
- mysql: don't wait for replication to finish, when not replicating
- mysql: store replication state in separate attributes for each master
- pgsql: improve configuration check and probe handling
- VirtualDomain: correctly create migration URI when target is an FQDN
- VirtualDomain: properly wait until domain_name is non-empty
- ldirectord: add a support of "netmask" directive for IPv6
- ldirectord: fix fwmark behavior for IPv6
- ldirectord: ignore children in Net::DNS
- iscsi: add support for open-iscsi version 2.0-872 (lf#2562)
- postfix: issue error if 'postfix abort' failed
- postfix: improve exit codes on installation problems
- postfix: use monitor to test if postfix works after the start action
- ocft: fix make command for compatibility with mawk/Debian (lf#2600)
- ocft: test case for pgsql
- ocft: test case for postfix
- ocft: test case for iscsi
- ocft: new testcases for db2, Filesystem, and LVM
- doc: add man page for sfex_init
- doc: improve man pages output
- doc: add examples for master/slave resource agents
- doc: improve legibility of generated man pages
- ocf-tester: tolerate OCF_ERR_INSTALLED on probes and missing binaries
- update spec file to match the new autoconf setup
- add OCF_ROOT/lib/heartbeat directory for ocf-shellfuncs et al
- remove compatibility scripts /usr/lib/heartbeat/ocf-*
- oracle: improve oracle process list test (bnc#673027)
- upstream cs: 957d32 (v3.9.2)
* Fri Aug  5 2011 tserong@novell.com
- Fix rpmlint non-ghost-in-var-run check
- ldirectord: Remove usage of /var/lock/subsys in init script
* Wed Feb 16 2011 ro@suse.de
- change Conflicts/Obsoletes for now dropped heartbeat subpackages
  to Provides/Obsoletes
* Wed Feb  9 2011 tserong@novell.com
- SAPDatabase: Avoid continuous output to syslog in monitor with SAP
  7.20 and J2EE_ONLY=1
- SAPInstance,SAPDatabase: remove unnecessary usage of eval to start processes
- SAPInstance,SAPDatabase: Allow blanks in path of userexit script
- Add GPLv3 license file (bnc#655700)
- Xen: implement stop of a migrating domain (bnc#656227)
- tomcat: Use here-documents to simplify start/stop operations
- tomcat: Ensure name of tomcat resource is only used on start operation
  and expose JAVA_OPTS variable for use
- tomcat: Fix to ensure default OCF_RESKEY_xx values are observed
- tomcat: Add CATALINA_BASE parameter, defaults to CATALINA_HOME,
  permits multiple tomcat instances
- tomcat: Use Tomcat stop TIMEOUT -force to improve stop
- Dummy: migrate_from/to: correct OCF_RESKEY_CRM_meta_migrate_xxx
  variable names
- Dummy: make method reload work
- IPaddr2: Fix reference to Infiniband arping binary (bnc#668447)
- Upstream version cs: 41cd73a9dedb
* Wed Feb  9 2011 tserong@novell.com
- Fix perl-Net-SSLeay prerequisite
* Tue Feb  8 2011 tserong@novell.com
- ocf-shellfuncs: allow ocf_run to return the actual exit code
- build: install jboss
- nginx: new RA
- LVM: add partial_activation parameter (lf#2490)
- Filesystem: allow cloning of some filesystems as read-only (lf#2440)
- Filesystem: add fast_stop parameter (lf#2402)
- sfex: output log messages also to stderr in sfex_init
- sfex: add the sfex_stat command
- Xen: check the allow_mem_management boolean properly (bnc#637525)
- MailTo: don't check if user exists for email address (might be
  an alias or remote)
- CTDB: Remove hard-coded timeout on start op
- CTDB: Don't manage Samba and Winbind by default
- IPaddr2: optionally flush kernel routing table on interface stop
- IPaddr2: exit with the right code when not properly configured
- IPsrcaddr: exit with the right code when not properly configured
- Tools: findif: differentiate between error conditions
- exportfs: add unlock_on_stop parameter
- exportfs: ensure graceful failover with NFSv4 clients
- exportfs: correctly test for lease time file
- ManageVE: add migration capability
- anything: add the workdir parameter
- pgsql: cd to pgdata before running commands (fixes permission error)
- pgsql: add optional username, password, and sqlcode parameters for monitor
- db2: Replace call to db2_local_ps with db2nps
- db2: guard against a hanging db2stop by spawning this into the
  background. Use db2_kill after grace period.
- db2: add multi partition support
- SAPDatabase,SAPInstance: improve LD_LIBRARY_PATH processing (bnc#640026)
- SAPInstance: prevent premature expansion of [:upper:] [:lower:] when
  producing sidadm uid
- SAPInstance: Moved testing of SAP profile directory and START profile
  to a later stage (only when needed), for more robustness
- SAPInstance: fix return codes in probes
- SAPInstance: New parameter: SHUTDOWN_METHOD
- SAPInstance: ensure enqueue failover in monitor_clone on process failure
- SAPDatabase: prevent premature expansion of [:upper:] and [:lower:]
  when producing sidadm/orasid/db2sid uids
- SAPdatabase: Changed Oracle recovery method from "recover automatic
  database" to "end backup"
- SAPDatabase: Adapt process search pattern for DB/2 9.5
- SAPDatabase: start listener only if database processes are found
- ldirectord: http: connect to server instead of protocol (Debian#594958)
- ldirectord: add implicit support for submission RFC4409
- ldirectord: example configuration for a submission virtual service
- ldirectord: Shutdown write-side of client connection after writing has
  finished
- ldirectord: Add RPM Requires perl-IO-Socket-INET6
- Filesystem: Clarify metadata and improve non-clone warning
- IPaddr2: exit early and with the right code if the ip parameter is not
  set
- ocf-shellfuncs: add option -q to ocf_run to suppress verbose logging
- mysql: if appropriate, connect to master on start
- mysql: if appropriate, delete slave config on start
- pgsql: suppress irrelevant output in the monitor operation
- pgsql: postpone getting the socketdir parameter which depends on the
  configuration
- IPaddr2: add missing 5 to the validation string for the multicast MAC
- Xen: Allow node configurable attribute to specify which IP to use for
  live migration (bnc#628735)
- Xen: use xen-list command for status check if available (bnc#628735)
- Xen: use xen-destroy for stop, if available.
* Sat Nov 20 2010 coolo@novell.com
- build against libnet-devel on 11.4
* Mon Aug  9 2010 lmb@novell.com
- mysql: replace the deprecated -O option (bnc#620275)
- mysql: use replication credentials to test the replication status
- ldirectord: Oracle compatibility
- ldirectord: allow underscore in service name
- ocf-shellfuncs: handle properly syslog facility set to none
  (bnc#621818)
- ocf-tester: show output from the agent in case of error
- IPv6addr: interface index in /proc/net/if_inet6 may be longer than 2
  chars (lf#2462)
- Patch for bnc#623788 is now in mainline.
- Upstream version cs d206bc8f1303
* Mon Jul 26 2010 tserong@novell.com
- CTDB: Deprecate (and make optional) smb_private_dir param (bnc#623788)
* Tue Jul  6 2010 lmb@novell.com
- ldirectord: use $1 instead of \1 in pattern replace (bnc#605086)
- VirtualDomain: Fix spurious stop failures
- RA: mysql: Numerous fixes.
- Raid1: Handle stop for failed arrays properly (bnc#618775)
- Raid1: Support attempting to re-add mirrors on deep monitor action
  (bnc#619121)
- sfex: wait in the start and stop actions until sfex_daemon
  starts/exits
- db2: support for v9.x instances (bnc#608952)
- ocf-shellfuncs: correctly identify root by id only (bnc#602312)
- ocf-tester: meta-data also should never be affected by missing
  binaries.
- ocf-tester: Extend to cover initial probe (monitor_0) test.
- Upstream version cs 9475e2f5d8db
* Mon May 10 2010 dmuhamedagic@novell.com
- RA: set the HA_RSCTMP directory to /var/run/resource-agents (lf#2378)
- pgsql: add new "config" parameter
- pgsql: properly implement pghost parameter
- High: SAPInstance RA: don't rely on op target rc when monitoring clones (lf#2371)
- upstream version cs a7c0f35916bf
* Mon Apr 26 2010 dmuhamedagic@novell.com
- exportfs: new RA
- mysql: master-slave functionality
- oracle: reduce output from sqlplus to the last line for queries (bnc#567815)
- nfsserver: fix the default string for the notification parameter
- upstream version cs f92935082277
* Tue Apr 20 2010 xwhu@novell.com
- VGs are activated with "--partial". This helps the mirrored LVs.
* Mon Apr 12 2010 dmuhamedagic@novell.com
- VirtualDomain: bail out early if config file can't be read
  during probe (nbc#593988)
- VirtualDomain: spin on define until we definitely have a domain name
- Filesystem: prefer /proc/mounts to /etc/mtab for non-bind mounts (lf#2388)
- upstream version cs b3d16560e966
* Mon Mar 29 2010 dmuhamedagic@novell.com
- build: add the postfix RA
- VirtualDomain: fix incorrect use of __OCF_ACTION
  (the stop operation may timeout otherwise)
- IPaddr2: don't bring the interface down on stop
  (otherwise IPv6 addresses may be removed)
- oracle/oralsnr: improve exit codes if the environment isn't valid
- Route: don't assume that OCF_RESKEY_CRM_meta_clone_node_max is
  set to a number (lf#2375)
- meta-data: improve timeouts in most resource agents
  (reduce the number of warnings by the shell)
- SFEX daemon: fix logging
- ldirectord: fix the configfile default (bnc#589457)
- drbd: fix metadata (bnc#588684)
- mysql: revert wrong patch erroneously included with ocft
- mysql: update defaults to match sle11 installations (bnc#590447)
- upstream version cs 000dd8956ad7
* Mon Mar 15 2010 dmuhamedagic@novell.com
- ocft: fix remote shell
- upstream version cs 72f1ac55e70b
* Tue Mar  9 2010 dmuhamedagic@novell.com
- sfex: don't use pid file (lf#2363,bnc#585416)
- IPsrcaddr: modify the interface route (lf#2367)
* Thu Mar  4 2010 dmuhamedagic@novell.com
- ocft: new RA test suite
* Wed Mar  3 2010 dmuhamedagic@novell.com
- log messages from RAs to stderr if attached to a terminal
- ldirectord: Allow multiple email addresses (lf#2168)
- ocf-shellfuncs: tests to check for clone/ms resources
- vmware: multiple improvements
* Mon Feb 22 2010 dmuhamedagic@novell.com
- upstream version cs: da18e46a1f94
- ocf-shellfuncs: don't output to stderr if using syslog (prevents
  double logging from the RA and lrmd)
* Mon Feb 22 2010 dmuhamedagic@novell.com
- upstream version cs: 44b1ba8c7804
* Mon Feb 22 2010 dmuhamedagic@novell.com
- make sure that OCF_RESKEY_CRM_meta_interval is always defined (lf#2284)
- vmware: fix set_environment() invocation (lf#2342)
- oracle/oralsnr: improve logging
- apache: return the right exit code from monitor (bnc#578628)
- iSCSILogicalUnit: fix monitor for STGT
- Route: add route table parameter (lf#2335)
- build: don't include PACKAGE_NAME in HA_NOARCHBIN
* Fri Feb  5 2010 dmuhamedagic@novell.com
- upstream version cs: f40d03a863f1
* Wed Jan 27 2010 lmb@novell.com
- Use same replacement syntax as for other packages.
* Fri Jan 22 2010 dmuhamedagic@novell.com
- upstream version cs: 39b26d5af509
- portblock: fast reconnect/tickle ACK (new resource agent)
- ClusterMon: don't fail in stop if the process is missing (bnc#569957)
- CTDB: auto-generate cluster-specific part of smb.conf (LF 2308)
- doc: add a "see also" link to resource agent man pages
* Tue Jan 19 2010 lmb@novell.com
- Correct dependencies of ldirectord package (bnc#571825).
* Mon Dec 28 2009 dmuhamedagic@novell.com
- add %%dir /usr/share/resource-agents to .spec
* Mon Dec 28 2009 dmuhamedagic@novell.com
- Upstream version cd: b10ad6afb1bd
- mark obsolete RAs as deprecated (LF 2244)
- VirtualDomain: fix forceful stop (LF 2283)
- IPaddr2: CLUSTERIP/iptables rule not always
  inserted on failed monitor (LF 2281)
- copy specfile from upstream
* Mon Dec 14 2009 lmb@novell.com
- Removed wrong conflicts.
* Thu Dec 10 2009 "lmb@novell.com"
- CTDB: New resource agent for clustered samba.
- proftpd: new resource agent.
- Upstream version cs: 520d53bd91dc
* Tue Dec  8 2009 "lmb@novell.com"
- Filesystem: allow configuring smbfs mounts as clones.
- Filesystem: implement deep monitor operation.
- IPaddr2: behave if the interface is down (lf#2147)
- IPaddr2: check binaries when it makes sense
- IPaddr2: fix nvalid default value for OCF_RESKEY_clusterip_hash
  (bnc#553753)
- IPv6addr: recognize network masks properly
- LVM: Make monitor operation quiet in logs (bnc#546353)
- MailTo: Provide a default for MAILCMD (bnc#534803, bnc#556366)
- MailTo: allow multiple word subject line
- Raid1: Improve monitor function (bnc#546551)
- VIParip: Pathname needed to be configurable (lf#1331)
- VirtualDomain: avoid needlessly invoking "virsh define"
- VirtualDomain: loop on status if libvirtd is unreachable.
- Xen: Remove instance_attribute "allow_migrate" (bnc#539968)
- apache: monitor operation of depth 10 for web applications (lf#2234).
- iSCSITarget, iSCSILogicalUnit: support LIO
- jboss: Added JBoss support.
- ldirectord: fix various bugs in OCF RA (lf#1949)
- mysql: escalate stop to KILL if regular shutdown doesn't work
- nfsserver: exit properly in nfsserver_validate (lf#2173)
- nfsserver: use check_binary properly in validate (lf#2211)
- nfsserver: validate should not check if nfs_shared_infodir exists
  (lf#2219)
- oracle/oralsnr: export variables properly
- oracle: drop spurious output from sqlplus
- pgsql: remove the previous backup_label if it exists
- postfix: fix double stop
- vmware: make meta-data work and several cleanups (lf#2212)
- Upstream version cs: 002038be601b
* Tue Sep 15 2009 "lmb@novell.com"
- Revert to SLE HA 11 naming scheme.
- iSCSILogicalUnit: use a 16-byte default SCSI ID.
- iSCSITarget: be more persistent deleting targets on stop.
- portblock: add per-IP filtering capability.
- mysql-proxy: new instance parameters supported.
- Upstream version cs: cde070764e1f
* Thu Aug 27 2009 lmb@novell.com
- IPaddr2: include netmask in search for the right interface
- IPaddr2: remove all colons from the mac address before passing it to
  send_arp (LF#2165)
- IPsrcaddr: replace 0/0 with proper ip prefix.
- IPv6addr: new nic and cidr_netmask parameters
- IPv6addr: supply checksum for ICMPv6 packets
- SAPDatabase + SAPInstance: New versions from SAP.
- Squid: make the regexp match more precisely output of netstat
- VirtualDomain: destroy domain shortly before timeout expiry
- apache: make sure that proxies are not used for monitor
- iSCSILogicalUnit: add support for SCSI ID, SCSI SN, Vendor ID, and
  Product ID
- iSCSILogicalUnit: add support for per-LU parameters
- iSCSILogicalUnit: set default for SCSI SN, truncate SCSI ID default to
  24 bytes
- iSCSITarget, iSCSILogicalUnit: add support for tgt
- iSCSITarget, iSCSILogicalUnit: identify targets by IQN, not by tid
- iSCSITarget: add support for CHAP authentication
- iSCSITarget: add support for restricting target access
- iscsi: replace wrong variable reference (bnc#499291)
- portblock: fix invalid exit codes on monitor
- postfix: new agent.
- Upstream version cs: 9700f962ce0a
* Thu Aug 13 2009 lmb@novell.com
- Include ldirectord (formerly known as heartbeat-ldirectord).
- Upstream version cs: 1263ac948158
* Thu Aug 13 2009 lmb@novell.com
- Obsolete heartbeat-resources package.
* Wed Jul 29 2009 abeekhof@suse.de
- Initial import of the resource-agents project after being split off
  from Heartbeat (this package replaces heartbeat-resources).
- Upstream version cs: 3aa338887920
